Social Posts by IDs
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/social/tweetsimport requests
url = "https://api.asksurf.ai/gateway/v1/social/tweets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/social/tweets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"author": {
"handle": "<string>",
"name": "<string>",
"user_id": "<string>",
"avatar": "<string>"
},
"created_at": 123,
"stats": {
"likes": 123,
"replies": 123,
"reposts": 123,
"views": 123
},
"text": "<string>",
"tweet_id": "<string>",
"url": "<string>",
"media": [
{
"type": "<string>",
"url": "<string>"
}
]
}
],
"meta": {
"cached": true,
"credits_used": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"$schema": "https://example.com/schemas/DataResponseXTweet.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Social
Social Posts by IDs
GET
/
gateway
/
v1
/
social
/
tweets
Social Posts by IDs
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/social/tweetsimport requests
url = "https://api.asksurf.ai/gateway/v1/social/tweets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/social/tweets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"author": {
"handle": "<string>",
"name": "<string>",
"user_id": "<string>",
"avatar": "<string>"
},
"created_at": 123,
"stats": {
"likes": 123,
"replies": 123,
"reposts": 123,
"views": 123
},
"text": "<string>",
"tweet_id": "<string>",
"url": "<string>",
"media": [
{
"type": "<string>",
"url": "<string>"
}
]
}
],
"meta": {
"cached": true,
"credits_used": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"$schema": "https://example.com/schemas/DataResponseXTweet.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Query Parameters
Comma-separated numeric post ID strings, max 100
Example:
"1880293339000000000,1880293339000000001"